summaryrefslogtreecommitdiffstats
path: root/icedtea-web
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-02-25 23:43:31 +0000
committer Eric Hameleers <alien@slackware.com>2012-02-25 23:43:31 +0000
commit7077d29068195283a58c40b8652600cc1916de03 (patch)
tree0d8e1196f9d92f79e0f2476836021c74af935fd6 /icedtea-web
parentd2d75dd790fd9ac6b674b3a4c03e5ea4e9b26c60 (diff)
downloadasb-7077d29068195283a58c40b8652600cc1916de03.tar.gz
asb-7077d29068195283a58c40b8652600cc1916de03.tar.xz
Updated to 20120225 snapshot as well as a mailing list patch, to cure crashes with firefox >= 10
Diffstat (limited to 'icedtea-web')
-rwxr-xr-xicedtea-web/build/icedtea-web.SlackBuild28
1 files changed, 22 insertions, 6 deletions
diff --git a/icedtea-web/build/icedtea-web.SlackBuild b/icedtea-web/build/icedtea-web.SlackBuild
index 1500a74e..d6e00141 100755
--- a/icedtea-web/build/icedtea-web.SlackBuild
+++ b/icedtea-web/build/icedtea-web.SlackBuild
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=icedtea-web
-VERSION=1.1.4
-BUILD=${BUILD:-2}
+VERSION=20120225
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
@@ -70,11 +70,13 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-# We use seamonkey, not xulrunner:
-sed -i -e 's/mozilla-plugin/seamonkey-plugin/g' configure
+## So that the plugin compiles with xulrunner 8 and above:
+#if ! grep -q "^char\* *NP_GetMIMEDescription(" /usr/include/seamonkey/npfunctions.h ; then
+# cat $CWD/icedtea-web.npapi.patch | patch -p1 --verbose || exit 1
+#fi
-# So that the plugin compiles with xulrunner 8 and above:
-cat $CWD/icedtea-web.npapi.patch | patch -p1 --verbose || exit 1
+# Fix crash with Firefox >= 10 (will hopefully be fixed in icedtea-web 1.2)
+cat $CWD/icedtea-web_ff10crash.patch | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -83,6 +85,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+[ ! -x configure ] && ./autogen.sh
+
+# We use seamonkey, not xulrunner:
+sed -i -e 's/mozilla-plugin/seamonkey-plugin/g' configure
+
# IcedTea Web 1.1 and later do not install into the JDK/JRE directory but
# straight into /usr/lib
CFLAGS="$SLKCFLAGS" \
@@ -118,14 +125,23 @@ cp javaws.png $PKG/usr/share/pixmaps/
install -m 0644 javaws.desktop $PKG/usr/share/applications/
install -m 0644 itweb-settings.desktop $PKG/usr/share/applications/
+# Strip binaries where needed:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING ChangeLog NEWS README doc/OVERVIEW \
$PKG/usr/doc/$PKGNAM-$VERSION
+# Add package description and post-install script:
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh